[arch-commits] Commit in python-dephell/repos/community-any (4 files)

Eli Schwartz eschwartz at archlinux.org
Sun Dec 15 08:08:59 UTC 2019


    Date: Sunday, December 15, 2019 @ 08:08:58
  Author: eschwartz
Revision: 537720

archrelease: copy trunk to community-any

Added:
  python-dephell/repos/community-any/0001-Do-not-override-the-system-SSL-certificates-with-the.patch
    (from rev 537719, python-dephell/trunk/0001-Do-not-override-the-system-SSL-certificates-with-the.patch)
  python-dephell/repos/community-any/PKGBUILD
    (from rev 537719, python-dephell/trunk/PKGBUILD)
Deleted:
  python-dephell/repos/community-any/0001-Do-not-override-the-system-SSL-certificates-with-the.patch
  python-dephell/repos/community-any/PKGBUILD

-----------------------------------------------------------------+
 0001-Do-not-override-the-system-SSL-certificates-with-the.patch |   80 +++---
 PKGBUILD                                                        |  131 ++++------
 2 files changed, 103 insertions(+), 108 deletions(-)

Deleted: 0001-Do-not-override-the-system-SSL-certificates-with-the.patch
===================================================================
--- 0001-Do-not-override-the-system-SSL-certificates-with-the.patch	2019-12-15 08:08:38 UTC (rev 537719)
+++ 0001-Do-not-override-the-system-SSL-certificates-with-the.patch	2019-12-15 08:08:58 UTC (rev 537720)
@@ -1,40 +0,0 @@
-From 4ad8b8276699f7d24178e66d0ea4147b776a0234 Mon Sep 17 00:00:00 2001
-From: Eli Schwartz <eschwartz at archlinux.org>
-Date: Tue, 6 Aug 2019 19:43:13 -0400
-Subject: [PATCH] Do not override the system SSL certificates with the certifi
- bundle.
-
-We need to respect the system certification policy, and by default the
-ssl module will use our packaged ca-certificates.
----
- dephell/networking.py | 7 +------
- 1 file changed, 1 insertion(+), 6 deletions(-)
-
-diff --git a/dephell/networking.py b/dephell/networking.py
-index 9f862be..b33e1b1 100644
---- a/dephell/networking.py
-+++ b/dephell/networking.py
-@@ -2,7 +2,6 @@
- from ssl import create_default_context
- 
- # external
--import certifi
- import requests
- from aiohttp import ClientSession, TCPConnector
- 
-@@ -17,11 +16,7 @@ def aiohttp_session(*, auth=None, **kwargs):
-     headers = dict()
-     if auth:
-         headers['Authorization'] = auth.encode()
--    ssl_context = create_default_context(cafile=certifi.where())
--    try:
--        connector = TCPConnector(ssl=ssl_context)
--    except TypeError:
--        connector = TCPConnector(ssl_context=ssl_context)
-+    connector = TCPConnector()
-     return ClientSession(headers=headers, connector=connector, **kwargs)
- 
- 
--- 
-2.22.0
-

Copied: python-dephell/repos/community-any/0001-Do-not-override-the-system-SSL-certificates-with-the.patch (from rev 537719, python-dephell/trunk/0001-Do-not-override-the-system-SSL-certificates-with-the.patch)
===================================================================
--- 0001-Do-not-override-the-system-SSL-certificates-with-the.patch	                        (rev 0)
+++ 0001-Do-not-override-the-system-SSL-certificates-with-the.patch	2019-12-15 08:08:58 UTC (rev 537720)
@@ -0,0 +1,40 @@
+From 4ad8b8276699f7d24178e66d0ea4147b776a0234 Mon Sep 17 00:00:00 2001
+From: Eli Schwartz <eschwartz at archlinux.org>
+Date: Tue, 6 Aug 2019 19:43:13 -0400
+Subject: [PATCH] Do not override the system SSL certificates with the certifi
+ bundle.
+
+We need to respect the system certification policy, and by default the
+ssl module will use our packaged ca-certificates.
+---
+ dephell/networking.py | 7 +------
+ 1 file changed, 1 insertion(+), 6 deletions(-)
+
+diff --git a/dephell/networking.py b/dephell/networking.py
+index 9f862be..b33e1b1 100644
+--- a/dephell/networking.py
++++ b/dephell/networking.py
+@@ -2,7 +2,6 @@
+ from ssl import create_default_context
+ 
+ # external
+-import certifi
+ import requests
+ from aiohttp import ClientSession, TCPConnector
+ 
+@@ -17,11 +16,7 @@ def aiohttp_session(*, auth=None, **kwargs):
+     headers = dict()
+     if auth:
+         headers['Authorization'] = auth.encode()
+-    ssl_context = create_default_context(cafile=certifi.where())
+-    try:
+-        connector = TCPConnector(ssl=ssl_context)
+-    except TypeError:
+-        connector = TCPConnector(ssl_context=ssl_context)
++    connector = TCPConnector()
+     return ClientSession(headers=headers, connector=connector, **kwargs)
+ 
+ 
+-- 
+2.22.0
+

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-12-15 08:08:38 UTC (rev 537719)
+++ PKGBUILD	2019-12-15 08:08:58 UTC (rev 537720)
@@ -1,68 +0,0 @@
-# Maintainer: Eli Schwartz <eschwartz at archlinux.org>
-
-_pkgname=dephell
-pkgname=python-dephell
-pkgver=0.7.8
-pkgrel=2
-pkgdesc="universal Python project management: convert between formats, build, manage venvs"
-arch=('any')
-url="https://github.com/dephell/${_pkgname}"
-license=('ISC')
-_deps=('aiohttp' 'appdirs' 'attrs' 'bowler' 'cerberus' 'dephell-archive' 'dephell-discover'
-       'dephell-licenses' 'dephell-links' 'dephell-markers' 'dephell-pythons'
-       'dephell-shells' 'dephell-specifier' 'dephell-venvs' 'dephell-versioning'
-       'docker' 'dockerpty' 'flatdict' 'html5lib' 'jinja' 'packaging'
-       'pip' 'pygments' 'requests' 'ruamel-yaml' 'setuptools' 'tabulate' 'tomlkit' 'yaspin')
-depends=("${_deps[@]/#/python-}" 'm2r')
-checkdepends=('git' 'python-pytest' 'python-aioresponses' 'python-requests-mock')
-source=("https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/${_pkgname}/${_pkgname}-${pkgver}.tar.gz"
-        "https://github.com/dephell/dephell/commit/d9b3c96472ef95df9cbc1959e1a9dd87a0a9a9bc.patch"
-        "0001-Do-not-override-the-system-SSL-certificates-with-the.patch")
-sha256sums=('2d85e8788594994ed8403a70b049467682be61a6c2017c5f5c35c98efb836ebb'
-            '05d5146bf3fe26790b429ec539f7131bf07e3e36b5545597a5b9cae5db6715d3'
-            '4dc2412354c0d96956f88b2e5474652e4a87108588905510d96674ddf939b4c1')
-b2sums=('427b35f58553bfe895d2cbc03fd9e4fa22b9e33ecc527b150f757eb0fa21cb8f37c792a2cf1e429a4fa49eb5b41c8edf58180e0741d8e6d6aa82a97f4c20ff56'
-        '56971049c6a1c0231334845bbc3cd0949f00fd7c0c8ccd86922d4abce686af2186f1e1e24246359f5f8e394084229b5ddd8900e9001fde4eb2a73b7f0f7c5536'
-        'f379265aecef50dd45026f777f68725348083c8fb8aa57e14733883067d52aa1ea39e1affc2f4b84e7574e64695bb84a1c13ca5a0f691e089ae5a9438eedab07')
-
-prepare() {
-    cd "${srcdir}"/${_pkgname}-${pkgver}
-
-    # bad certifi
-    patch -p1 -i ../0001-Do-not-override-the-system-SSL-certificates-with-the.patch
-    # backport fix for https://github.com/dephell/dephell/issues/257
-    patch -p1 -i ../d9b3c96472ef95df9cbc1959e1a9dd87a0a9a9bc.patch
-
-    # pycache slipped into release tarballs
-    find . -name \*.pyc -delete
-}
-
-build(){
-    cd "${srcdir}"/${_pkgname}-${pkgver}
-
-    python setup.py build
-}
-
-check() {
-    cd "${srcdir}"/${_pkgname}-${pkgver}
-
-    # skip git tests, which rely on being run from dephell's own git repo
-    python -m pytest -k 'not test_git_git'
-}
-
-package() {
-    cd "${srcdir}"/${_pkgname}-${pkgver}
-
-    python setup.py install --root="${pkgdir}" --optimize=1 --skip-build
-    install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
-
-    # make shell completions
-    python -c 'from dephell.actions._autocomplete import make_bash_autocomplete as comp; print(comp())' | \
-        install -Dm644 /dev/stdin "${pkgdir}"/usr/share/bash-completion/completions/dephell
-
-    # rewrite zsh completion to support autoloading
-    {   printf '#compdef dephell\n'
-        python -c 'from dephell.actions._autocomplete import make_zsh_autocomplete as comp; print(comp())' | \
-            sed 's/^compdef _dephell dephell$/_dephell/'
-    } | install -Dm644 /dev/stdin "${pkgdir}"/usr/share/zsh/site-functions/_dephell
-}

Copied: python-dephell/repos/community-any/PKGBUILD (from rev 537719, python-dephell/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-12-15 08:08:58 UTC (rev 537720)
@@ -0,0 +1,63 @@
+# Maintainer: Eli Schwartz <eschwartz at archlinux.org>
+
+_pkgname=dephell
+pkgname=python-dephell
+pkgver=0.7.9
+pkgrel=1
+pkgdesc="universal Python project management: convert between formats, build, manage venvs"
+arch=('any')
+url="https://github.com/dephell/${_pkgname}"
+license=('ISC')
+_deps=('aiohttp' 'appdirs' 'attrs' 'bowler' 'cerberus' 'dephell-archive' 'dephell-discover'
+       'dephell-licenses' 'dephell-links' 'dephell-markers' 'dephell-pythons' 'dephell-setuptools'
+       'dephell-shells' 'dephell-specifier' 'dephell-venvs' 'dephell-versioning'
+       'docker' 'dockerpty' 'flatdict' 'html5lib' 'jinja' 'packaging'
+       'pip' 'pygments' 'requests' 'ruamel-yaml' 'setuptools' 'tabulate' 'tomlkit' 'yaspin')
+depends=("${_deps[@]/#/python-}" 'm2r')
+checkdepends=('git' 'python-pytest' 'python-aioresponses' 'python-requests-mock')
+source=("https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/${_pkgname}/${_pkgname}-${pkgver}.tar.gz"
+        "0001-Do-not-override-the-system-SSL-certificates-with-the.patch")
+sha256sums=('94c05cc9f5f16a63d796d57bcd608f73c44c3e62da7ee8dd719310c48cb82096'
+            '4dc2412354c0d96956f88b2e5474652e4a87108588905510d96674ddf939b4c1')
+b2sums=('6717ad383313cf8108c51a359f0ff0a8dc422efea27776f0303d89e67c8977bd062aec70395e6e3aa2be3178b0a2dad58df42749deeb6b91f8a01be959663b30'
+        'f379265aecef50dd45026f777f68725348083c8fb8aa57e14733883067d52aa1ea39e1affc2f4b84e7574e64695bb84a1c13ca5a0f691e089ae5a9438eedab07')
+
+prepare() {
+    cd "${srcdir}"/${_pkgname}-${pkgver}
+
+    # bad certifi
+    patch -p1 -i ../0001-Do-not-override-the-system-SSL-certificates-with-the.patch
+
+    # pycache slipped into release tarballs
+    find . -name \*.pyc -delete
+}
+
+build(){
+    cd "${srcdir}"/${_pkgname}-${pkgver}
+
+    python setup.py build
+}
+
+check() {
+    cd "${srcdir}"/${_pkgname}-${pkgver}
+
+    # skip git tests, which rely on being run from dephell's own git repo
+    python -m pytest -k 'not test_git_git'
+}
+
+package() {
+    cd "${srcdir}"/${_pkgname}-${pkgver}
+
+    python setup.py install --root="${pkgdir}" --optimize=1 --skip-build
+    install -Dm644 LICENSE "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
+
+    # make shell completions
+    python -c 'from dephell.actions._autocomplete import make_bash_autocomplete as comp; print(comp())' | \
+        install -Dm644 /dev/stdin "${pkgdir}"/usr/share/bash-completion/completions/dephell
+
+    # rewrite zsh completion to support autoloading
+    {   printf '#compdef dephell\n'
+        python -c 'from dephell.actions._autocomplete import make_zsh_autocomplete as comp; print(comp())' | \
+            sed 's/^compdef _dephell dephell$/_dephell/'
+    } | install -Dm644 /dev/stdin "${pkgdir}"/usr/share/zsh/site-functions/_dephell
+}


More information about the arch-commits mailing list